Discover Government News

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

====================================================================                   Red Hat Security Advisory

Synopsis:          Moderate: thunderbird security update
Advisory ID:       RHSA-2010:0682-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2010:0682.html
Issue date:        2010-09-07
CVE Names:         CVE-2010-2760 CVE-2010-2765 CVE-2010-2767 
                   CVE-2010-2768 CVE-2010-3167 CVE-2010-3168 
                   CVE-2010-3169 
====================================================================
1. Summary:

An updated thunderbird package that fixes several security issues is now
available for Red Hat Enterprise Linux 4 and 5.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

RHEL Optional Productivity Applications (v. 5 server) - i386, x86_64
Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Mozilla Thunderbird is a standalone mail and newsgroup client.

Several flaws were found in the processing of malformed HTML mail content.
An HTML mail message containing malicious content could cause Thunderbird
to crash or, potentially, execute arbitrary code with the privileges of the
user running Thunderbird. (CVE-2010-3169)

A buffer overflow flaw was found in Thunderbird. An HTML mail message
containing malicious content could cause Thunderbird to crash or,
potentially, execute arbitrary code with the privileges of the user running
Thunderbird. (CVE-2010-2765)

A use-after-free flaw and several dangling pointer flaws were found in
Thunderbird. An HTML mail message containing malicious content could cause
Thunderbird to crash or, potentially, execute arbitrary code with the
privileges of the user running Thunderbird. (CVE-2010-2760, CVE-2010-2767,
CVE-2010-3167, CVE-2010-3168)

A cross-site scripting (XSS) flaw was found in Thunderbird. Remote HTML
content could cause Thunderbird to execute JavaScript code with the
permissions of different remote HTML content. (CVE-2010-2768)

Note: JavaScript support is disabled by default in Thunderbird. None of the
above issues are exploitable unless JavaScript is enabled.

All Thunderbird users should upgrade to this updated package, which
resolves these issues. All running instances of Thunderbird must be
restarted for the update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at

5. Bugs fixed (http://bugzilla.redhat.com/):

630055 - CVE-2010-3169 Mozilla Miscellaneous memory safety hazards
630056 - CVE-2010-2765 Mozilla Frameset integer overflow vulnerability (MFSA 2010-50)
630059 - CVE-2010-2767 Mozilla Dangling pointer vulnerability using DOM plugin array (MFSA 2010-51)
630062 - CVE-2010-2760 Mozilla Dangling pointer vulnerability in nsTreeSelection (MFSA 2010-54)
630064 - CVE-2010-3168 Mozilla XUL tree removal crash and remote code execution (MFSA 2010-55)
630067 - CVE-2010-3167 Mozilla Dangling pointer vulnerability in nsTreeContentView (MFSA 2010-56)
630074 - CVE-2010-2768 Mozilla UTF-7 XSS by overriding document charset using <object> type attribute (MFSA 2010-61)

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:

i386:
thunderbird-1.5.0.12-30.el4.i386.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm

ia64:
thunderbird-1.5.0.12-30.el4.ia64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm

ppc:
thunderbird-1.5.0.12-30.el4.ppc.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.ppc.rpm

s390:
thunderbird-1.5.0.12-30.el4.s390.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.s390.rpm

s390x:
thunderbird-1.5.0.12-30.el4.s390x.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.s390x.rpm

x86_64:
thunderbird-1.5.0.12-30.el4.x86_64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:

i386:
thunderbird-1.5.0.12-30.el4.i386.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm

x86_64:
thunderbird-1.5.0.12-30.el4.x86_64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:

i386:
thunderbird-1.5.0.12-30.el4.i386.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm

ia64:
thunderbird-1.5.0.12-30.el4.ia64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm

x86_64:
thunderbird-1.5.0.12-30.el4.x86_64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:

i386:
thunderbird-1.5.0.12-30.el4.i386.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm

ia64:
thunderbird-1.5.0.12-30.el4.ia64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm

x86_64:
thunderbird-1.5.0.12-30.el4.x86_64.rpm
thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:

i386:
thunderbird-2.0.0.24-8.el5.i386.rpm
thunderbird-debuginfo-2.0.0.24-8.el5.i386.rpm

x86_64:
thunderbird-2.0.0.24-8.el5.x86_64.rpm
thunderbird-debuginfo-2.0.0.24-8.el5.x86_64.rpm

RHEL Optional Productivity Applications (v. 5 server):

Source:

i386:
thunderbird-2.0.0.24-8.el5.i386.rpm
thunderbird-debuginfo-2.0.0.24-8.el5.i386.rpm

x86_64:
thunderbird-2.0.0.24-8.el5.x86_64.rpm
thunderbird-debuginfo-2.0.0.24-8.el5.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-2760.html
https://www.redhat.com/security/data/cve/CVE-2010-2765.html
https://www.redhat.com/security/data/cve/CVE-2010-2767.html
https://www.redhat.com/security/data/cve/CVE-2010-2768.html
https://www.redhat.com/security/data/cve/CVE-2010-3167.html
https://www.redhat.com/security/data/cve/CVE-2010-3168.html
https://www.redhat.com/security/data/cve/CVE-2010-3169.html
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2010 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFMhuXaXlSAg2UNWIIRAlpdAKCojAaN3TFkAhsUQ4TfQUewddky4gCdEWLw
fXYuSj5+LTKayb6mHCumGBA=p+e1
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

RedHat: RHSA-2010-0682:01 Moderate: thunderbird security update

An updated thunderbird package that fixes several security issues is now available for Red Hat Enterprise Linux 4 and 5

Summary

Mozilla Thunderbird is a standalone mail and newsgroup client.
Several flaws were found in the processing of malformed HTML mail content. An HTML mail message containing malicious content could cause Thunderbird to crash or, potentially, execute arbitrary code with the privileges of the user running Thunderbird. (CVE-2010-3169)
A buffer overflow flaw was found in Thunderbird. An HTML mail message containing malicious content could cause Thunderbird to crash or, potentially, execute arbitrary code with the privileges of the user running Thunderbird. (CVE-2010-2765)
A use-after-free flaw and several dangling pointer flaws were found in Thunderbird. An HTML mail message containing malicious content could cause Thunderbird to crash or, potentially, execute arbitrary code with the privileges of the user running Thunderbird. (CVE-2010-2760, CVE-2010-2767, CVE-2010-3167, CVE-2010-3168)
A cross-site scripting (XSS) flaw was found in Thunderbird. Remote HTML content could cause Thunderbird to execute JavaScript code with the permissions of different remote HTML content. (CVE-2010-2768)
Note: JavaScript support is disabled by default in Thunderbird. None of the above issues are exploitable unless JavaScript is enabled.
All Thunderbird users should upgrade to this updated package, which resolves these issues. All running instances of Thunderbird must be restarted for the update to take effect.



Summary


Solution

Before applying this update, make sure all previously-released errata relevant to your system have been applied.
This update is available via the Red Hat Network. Details on how to use the Red Hat Network to apply this update are available at

References

https://www.redhat.com/security/data/cve/CVE-2010-2760.html https://www.redhat.com/security/data/cve/CVE-2010-2765.html https://www.redhat.com/security/data/cve/CVE-2010-2767.html https://www.redhat.com/security/data/cve/CVE-2010-2768.html https://www.redhat.com/security/data/cve/CVE-2010-3167.html https://www.redhat.com/security/data/cve/CVE-2010-3168.html https://www.redhat.com/security/data/cve/CVE-2010-3169.html http://www.redhat.com/security/updates/classification/#moderate

Package List

Red Hat Enterprise Linux AS version 4:
Source:
i386: thunderbird-1.5.0.12-30.el4.i386.rpm thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm
ia64: thunderbird-1.5.0.12-30.el4.ia64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm
ppc: thunderbird-1.5.0.12-30.el4.ppc.rpm thunderbird-debuginfo-1.5.0.12-30.el4.ppc.rpm
s390: thunderbird-1.5.0.12-30.el4.s390.rpm thunderbird-debuginfo-1.5.0.12-30.el4.s390.rpm
s390x: thunderbird-1.5.0.12-30.el4.s390x.rpm thunderbird-debuginfo-1.5.0.12-30.el4.s390x.rpm
x86_64: thunderbird-1.5.0.12-30.el4.x86_64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm
Red Hat Enterprise Linux Desktop version 4:
Source:
i386: thunderbird-1.5.0.12-30.el4.i386.rpm thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm
x86_64: thunderbird-1.5.0.12-30.el4.x86_64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm
Red Hat Enterprise Linux ES version 4:
Source:
i386: thunderbird-1.5.0.12-30.el4.i386.rpm thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm
ia64: thunderbird-1.5.0.12-30.el4.ia64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm
x86_64: thunderbird-1.5.0.12-30.el4.x86_64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm
Red Hat Enterprise Linux WS version 4:
Source:
i386: thunderbird-1.5.0.12-30.el4.i386.rpm thunderbird-debuginfo-1.5.0.12-30.el4.i386.rpm
ia64: thunderbird-1.5.0.12-30.el4.ia64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.ia64.rpm
x86_64: thunderbird-1.5.0.12-30.el4.x86_64.rpm thunderbird-debuginfo-1.5.0.12-30.el4.x86_64.rpm
Red Hat Enterprise Linux Desktop (v. 5 client):
Source:
i386: thunderbird-2.0.0.24-8.el5.i386.rpm thunderbird-debuginfo-2.0.0.24-8.el5.i386.rpm
x86_64: thunderbird-2.0.0.24-8.el5.x86_64.rpm thunderbird-debuginfo-2.0.0.24-8.el5.x86_64.rpm
RHEL Optional Productivity Applications (v. 5 server):
Source:
i386: thunderbird-2.0.0.24-8.el5.i386.rpm thunderbird-debuginfo-2.0.0.24-8.el5.i386.rpm
x86_64: thunderbird-2.0.0.24-8.el5.x86_64.rpm thunderbird-debuginfo-2.0.0.24-8.el5.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://www.redhat.com/security/team/key/#package


Severity
Advisory ID: RHSA-2010:0682-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2010:0682.html
Issued Date: : 2010-09-07
CVE Names: CVE-2010-2760 CVE-2010-2765 CVE-2010-2767 CVE-2010-2768 CVE-2010-3167 CVE-2010-3168 CVE-2010-3169

Topic

An updated thunderbird package that fixes several security issues is nowavailable for Red Hat Enterprise Linux 4 and 5.The Red Hat Security Response Team has rated this update as having moderatesecurity impact. Common Vulnerability Scoring System (CVSS) base scores,which give detailed severity ratings, are available for each vulnerabilityfrom the CVE links in the References section.


Topic


 

Relevant Releases Architectures

RHEL Optional Productivity Applications (v. 5 server) - i386, x86_64

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64

Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64

Red Hat Enterprise Linux Desktop version 4 - i386, x86_64

Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64

Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64


Bugs Fixed

630055 - CVE-2010-3169 Mozilla Miscellaneous memory safety hazards

630056 - CVE-2010-2765 Mozilla Frameset integer overflow vulnerability (MFSA 2010-50)

630059 - CVE-2010-2767 Mozilla Dangling pointer vulnerability using DOM plugin array (MFSA 2010-51)

630062 - CVE-2010-2760 Mozilla Dangling pointer vulnerability in nsTreeSelection (MFSA 2010-54)

630064 - CVE-2010-3168 Mozilla XUL tree removal crash and remote code execution (MFSA 2010-55)

630067 - CVE-2010-3167 Mozilla Dangling pointer vulnerability in nsTreeContentView (MFSA 2010-56)

630074 - CVE-2010-2768 Mozilla UTF-7 XSS by overriding document charset using <object> type attribute (MFSA 2010-61)


Related News